<template>
    <div class="overflow-x-auto w-full">
        <table class="table">
            <!-- head -->
            <thead>
                <tr>
                    <th></th>
                    <th>Proyecto</th>
                    <th>Tareas</th>
                    <th>Avance</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(project, index) in projectStore.projectsWithComplition" :key="project.id" class="hover">
                    <th>{{ index + 1 }}</th>
                    <td>{{ project.name }}</td>
                    <td>{{ project.taskCount }}</td>
                    <td>
                        <progress class="progress progress-primary w-56" :value="project.complition"
                            max="100"></progress>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <input-modal :open="modalOpen" @close="modalOpen = false" @value="projectStore.addProject"
        placeholder="Nombre del proyecto" title="Nuevo Proyecto" sub-title="Dale un nombre unico a tu proyecto" />

    <custom-modal :open="customModalOpen">
        <template #header>
            <h1 class="text-3xl">Titulo del modal</h1>
        </template>
        <template #body>
            <p>
                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda, consectetur repellat magni
                accusamus reiciendis delectus aspernatur sapiente ipsam fugit aliquid autem voluptatum quam eius
                consequuntur sequi id atque illum corporis.
            </p>
        </template>
        <template #footer>
            <div class="flex justify-end">
                <button @click="customModalOpen = false" class="btn mr-4">Close</button>
                <button @click="customModalOpen = false" class="btn btn-primary">Aceptar</button>
            </div>
        </template>
    </custom-modal>

    <fab-button @click="modalOpen = true">
        <add-circle />
    </fab-button>

    <fab-button @click="customModalOpen = true" position="bottom-left">
        <modal-icon />
    </fab-button>
</template>

<script lang="ts" setup>
import FabButton from '@/modules/common/components/FabButton.vue'
import InputModal from '@/modules/common/components/InputModal.vue'
import CustomModal from '@/modules/common/components/CustomModal.vue'
import AddCircle from '@/modules/common/icons/AddCircle.vue'
import ModalIcon from '@/modules/common/icons/ModalIcon.vue'
import { ref } from 'vue';
import { useProjectsStore } from '../store/projects.store'

const modalOpen = ref(false)
const customModalOpen = ref(false)

const projectStore = useProjectsStore();
</script>